#ifndef MY_VERSION
#define MY_VERSION	"1.0"
#endif

//			Long name		Short		Default									Help
//FLAG_OPT(	someflag,		f,													"This is a flag option")

//			Long name		Short		Default		Min			Max				Help
//INT_OPT(	someint,		i,			-1,			INT_MIN,	INT_MAX,		"This is a signed integer option")

//			Long name		Short		Default		Min			Max				Help
//UNS_OPT(	someuns,		-,			0,			0,			UINT_MAX,		"This is an unsigned integer option")

//			Long name		Short		Default		Min			Max				Help
//FLT_OPT(	someflt,		f,			0.0,		-1,			+1,				"This is a floating-point option")

//			Long name		Short		Default									Help
//STR_OPT(	somestr,		s,			0,										"This is a string option")

//			Long name		Short		Default		Values						Help
//ENUM_OPT(	someenum,		e,			1,			"Value1=1|Value2=2",		"This is an enum option\nwith line break")

//			Long name		Short		Default									Help
STR_OPT(	input,			-,			0,										"")
STR_OPT(	output,			-,			0,										"")
STR_OPT(	accout,			-,			0,										"")

UNS_OPT(	minlen,			-,			10,			1,			UINT_MAX,		"Minimum sequence length")
UNS_OPT(	maxlen,			-,			10000,		1,			UINT_MAX,		"Maximum sequence length")

UNS_OPT(	chsim_minm,		-,			0,			0,			UINT_MAX,		"")
UNS_OPT(	chsim_maxm,		-,			UINT_MAX,	0,			UINT_MAX,		"")
UNS_OPT(	chsim_acc,		-,			UINT_MAX,	0,			UINT_MAX,		"")
UNS_OPT(	chsim_iters,	-,			10,			0,			UINT_MAX,		"")
UNS_OPT(	chsim_nperiter,	-,			256,		0,			UINT_MAX,		"")
UNS_OPT(	chsim_abnoisepct,-,			0,			0,			100,			"")
UNS_OPT(	chsim_expab,	-,			0,			0,			100,			"")
UNS_OPT(	randseed,		-,			0,			0,			100,			"")
UNS_OPT(	flank,			-,			10,			0,			100,			"")
UNS_OPT(	k,				-,			10,			0,			100,			"")

TOG_OPT(	trace,			-,			false,									"")
TOG_OPT(	logmemgrows,	-,			false,									"")
TOG_OPT(	trunclabels,	-,			false,									"Truncate FASTA labels at first whitespace")
TOG_OPT(	verbose,		-,			false,									"")

FLT_OPT(	match,			-,			1.0,		0.0,		FLT_MAX,		"Match score (nucleotides only)")
FLT_OPT(	mismatch,		-,			-2.0,		0.0,		FLT_MAX,		"Mismatch score (nucleotides only)")
FLT_OPT(	chsim_divlo,	-,			0.0,		0.0,		100.0,			"")
FLT_OPT(	chsim_divhi,	-,			0.0,		0.0,		100.0,			"")
FLT_OPT(	chsim_abfactor,	-,			1e-8f,		0.0,		FLT_MAX,		"")
FLT_OPT(	chsim_chab,		-,			0.0,		0.0,		FLT_MAX,		"")

FLAG_OPT(	version,		-,													"Print version number and exit")
FLAG_OPT(	svnmods,		-,													"Print version number and exit")
